package de.comline.spring.model;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;

public class ActionMovieLister {
	/**
	 * The qualifier is specified at the source - which is almost never what you
	 * want. Note however, how the qualifier mentioned here matches the qualifier
	 * annotation value on the injected class (ActionMovieCatalog).
	 */
	@Autowired
	@Qualifier(value = "Action")
	private MovieCatalog actionMovies;

	@Override
	public String toString() {
		return "Listing of " + actionMovies.getCategory() + " films";
	}
}
